## org.hibernate.internal.jaxb.mapping.orm
Class JaxbDiscriminatorColumn

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbDiscriminatorColumn

    public class JaxbDiscriminatorColumn

extends Object

Field Summary
`protected String` `columnDefinition`
`protected JaxbDiscriminatorType` `discriminatorType`
`protected Integer` `length`
`protected String` `name`

Constructor Summary
`JaxbDiscriminatorColumn()`

Method Summary
`String` `getColumnDefinition()` Gets the value of the columnDefinition property.
`JaxbDiscriminatorType` `getDiscriminatorType()` Gets the value of the discriminatorType property.
`Integer` `getLength()` Gets the value of the length property.
`String` `getName()` Gets the value of the name property.
`void` `setColumnDefinition(String value)` Sets the value of the columnDefinition property.
`void` `setDiscriminatorType(JaxbDiscriminatorType value)` Sets the value of the discriminatorType property.
`void` `setLength(Integer value)` Sets the value of the length property.
`void` `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### discriminatorType

    protected JaxbDiscriminatorType discriminatorType

### columnDefinition

    protected String columnDefinition

### length

    protected Integer length

Constructor Detail

### JaxbDiscriminatorColumn

    public JaxbDiscriminatorColumn()

Method Detail

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getDiscriminatorType

    public JaxbDiscriminatorType getDiscriminatorType()

  Gets the value of the discriminatorType property.

  Returns:
    possible object is `JaxbDiscriminatorType`

### setDiscriminatorType

    public void setDiscriminatorType(JaxbDiscriminatorType value)

  Sets the value of the discriminatorType property.

  Parameters:
    `value` - allowed object is `JaxbDiscriminatorType`

### getColumnDefinition

    public String getColumnDefinition()

  Gets the value of the columnDefinition property.

  Returns:
    possible object is `String`

### setColumnDefinition

    public void setColumnDefinition(String value)

  Sets the value of the columnDefinition property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public Integer getLength()

  Gets the value of the length property.

  Returns:
    possible object is `Integer`

### setLength

    public void setLength(Integer value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `Integer`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.